none
Required build version for KB patch RRS feed

  • Question

  • Hi. I am DBA of SQL Server 2014 Enterprise SP2 on Windows server 2012 R2.

    I just got alert from vulnerability scan that it is required to patch KB4505217 to my SQL server. I run the below query to my SQL server, I confirm service pack is SP2-CU11 and build version is 12.0.5579.0 there.

    Select @@version
    ----------------------------
    Microsoft SQL Server 2014 (SP2-CU11) (KB4077063) - 12.0.5579.0 (X64)   Feb 21 2018 12:19:47   Copyright (c) Microsoft Corporation  Enterprise Edition: Core-based Licensing (64-bit) on Windows NT 6.3 <X64> (Build 9600: ) (Hypervisor) 

    In my research, the required patch KB4505217 have two kind of patch for SP2.

    (1) Description of the security update for SQL Server 2014 SP2 GDR: July 9, 2019

    (2) Description of the security update for SQL Server 2014 SP2 CU17 GDR: July 9, 2019

    The (1) is patch for build version 12.0.5223.6

    The (2) is patch for build version 12.0.5659.1

    My SQL server is build version 12.0.5579.0

    In this case, Which patch should I apply? Or Should I upgrade my SQL server to required build version at first, then I should patch it? If so how I can find the patch to upgrade build version to required version? (My DB server is located in internal network that is not allowed to access to internet, so I need to download a patch for standalone manually)

    Any advices will be gratefully appreciated it. Thank you. 




    Tuesday, July 16, 2019 1:55 AM

Answers

All replies